Name:		cantata
Version:	2.2.0
Release:	%mkrel 1
Summary:	Graphical client for the Music Player Daemon (MPD)
License:	GPLv2+
Group:		Graphical desktop/KDE5
URL:		https://github.com/CDrummond/cantata/
Source0:	https://github.com/CDrummond/cantata/releases/download/v%{version}/cantata-%{version}.tar.xz
Patch0:		cantata-2.1.0-libsolid_static.patch
BuildRequires: cdparanoia
BuildRequires: cdda-devel
BuildRequires: ffmpeg-devel
BuildRequires: qtmultimedia5
BuildRequires: qttools5
BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5xml-devel

BuildRequires:  zlib1-devel
BuildRequires:  taglib-extras-devel
BuildRequires:  vlc-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  %{_lib}speex1-devel
BuildRequires:  %{_lib}musicbrainz5-devel
BuildRequires:  %{_lib}mtp-devel
BuildRequires:  %{_lib}mpg123-devel
BuildRequires:  %{_lib}cddb-devel
BuildRequires:  %{_lib}taglib-devel
BuildRequires:  %{_lib}openssl-devel

Requires:	mpd

%description
Cantata is a (yet another!) graphical client for the music player daemon (MPD).

Supporting features:
  * Multiple MPD collections.
  * Highly customisable layout.
  * Songs grouped by album in play queue.
  * Context view to show artist, album, and song information of current track.
  * Simple tag editor.
  * File organizer - use tags to organize files and folders.
  * Ability to calculate ReplyGain tags.
  * Dynamic playlists.
  * Online services; Jamendo, Magnatune, SoundCloud, and Podcasts.
  * Radio stream support - with the ability to search for streams via TuneIn,
    ShoutCast, or Dirble.
  * USB-Mass-Storage and MTP device support.
  * Audio CD ripping and playback.
  * Playback of non-MPD songs, via simple in-built HTTP server if connected
    to MPD via a standard socket, otherwise filepath is sent to MPD.
  * MPRISv2 DBUS interface.
  * Support for KDE global shortcuts (KDE builds), GNOME media keys, and
    standard media keys (via Qxt support).
  * Ubuntu/ambiance theme integration.
  * Basic support for touch-style interface (views are made 'flickable').
  * Scrobbling.
  * Ratings support.

Make sure after installing mpd that you start the service through the 
PCLinuxOS Control Center.

%files
%doc AUTHORS ChangeLog README TODO LICENSE
%{_sysconfdir}/dbus-1/system.d/mpd.cantata.mounter.conf
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/dbus-1/system-services/mpd.cantata.mounter.service
%{_iconsdir}/hicolor/*/apps/%{name}*.*

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# Hack to fix install path for x86_64 build
# TODO report upstream for a fix -done.
sed -i -e 's|LINUX_LIB_DIR lib|LINUX_LIB_DIR %{_lib}|g' CMakeLists.txt
sed -i -e 's|lib/cantata|%{_lib}/cantata|g' devices/mounter/CMakeLists.txt
sed -i -e 's|lib/cantata|%{_lib}/cantata|g' devices/mounter/mpd.cantata.mounter.service.cmake

%build
%cmake_qt5 \
	-DENABLE_REMOTE_DEVICES=ON
%make_build

%install
rm -rf %buildroot
%make_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Sun Oct 15 2017 bb2 <bb2> - 2.2.0-1pclos2017
- new version

* Wed Aug 02 2017 bb2 <bb2> - 2.1.0-1pclos2017
- new version

* Wed Mar 08 2017 bb2 <bb2> - 2.0.1-4pclos2017
- rebuild new ffmpeg

